Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451079 - qpidd service does no logging by default
Summary: qpidd service does no logging by default
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: beta
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alan Conway
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 17:47 UTC by Alan Conway
Modified: 2009-05-07 20:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-02 16:06:32 UTC


Attachments (Terms of Use)

Description Alan Conway 2008-06-12 17:47:21 UTC
Description of problem:

When started as a service qpidd  does no logging by default.

Possible solutions:
 - release note it, explain how to enable in qpidd.conf with log-output=syslog
 - add log-output=syslog to default qpidd.conf
 - modify qpidd code so it logs to syslog by default if started in daemon mode,
to stderr oterwise.

Comment 1 Gordon Sim 2008-06-12 17:51:40 UTC
Or my own personal favourite: 
 - add --log-output syslog to the qpidd init script

Comment 2 Alan Conway 2008-06-12 19:08:59 UTC
Issues with some approaches.

 - add --log-output syslog to the qpidd init script

This over-rides the config file and makes it impossible to configure the
init-script launched qpidd NOT to log to syslog unless you edit the init script.  

 - add log-output=syslog to default /etc/qpidd.conf
This makes syslog and not stderr the default for everyone. Not developer friendly.

Comment 3 Alan Conway 2008-06-12 22:00:45 UTC
Fixed qpidd to default to syslog in --daemon mode.
Revision: 667253

Comment 4 Mike Bonnet 2008-06-20 03:53:41 UTC
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing


Note You need to log in before you can comment on or make changes to this bug.